#
# spec file for package python-beaker (Version 1.4)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname Beaker

Name:           python-beaker
Version:        1.4
Release:        11.2
Summary:        WSGI middleware layer to provide sessions
Group:          Development/Libraries/Python
License:        BSD
Url:            http://beaker.groovie.org/
Source0:        Beaker-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}
BuildRequires:	python-devel
BuildRequires:  python-setuptools
BuildRequires:	python-distutils-extra
Patch0:         %{name}-py2.4-hashlib.patch
Patch1:         %{name}-absimport.patch
%if %{?suse_version: %{suse_version} > 1110} %{!?suse_version:1}
BuildArch:      noarch
%endif

%description
Beaker is a caching library that includes Session and Cache objects built on
Myghty's Container API used in MyghtyUtils. WSGI middleware is also included to
manage Session objects and signed cookies.



Beaker is a web session and general caching library that includes WSGI
middleware for use in web applications.

As a general caching library, Beaker can handle storing for various times any
Python object that can be pickled with optional back-ends on a fine-grained
basis.

Beaker was built largely on the code from MyghtyUtils, then refactored and
extended with database support.

Beaker includes Cache and Session WSGI middleware to ease integration with WSGI
capable frameworks, and is automatically used by Pylons.

Authors:
--------
    Ben Bangart <ben@groovie.org>
    Philip Jenvey <pjenvey@groovie.org>
    Mike Bayer

Beaker is a caching library that includes Session and Cache objects built on
Myghty's Container API used in MyghtyUtils. WSGI middleware is also included to
manage Session objects and signed cookies.



Beaker is a web session and general caching library that includes WSGI
middleware for use in web applications.

As a general caching library, Beaker can handle storing for various times any
Python object that can be pickled with optional back-ends on a fine-grained
basis.

Beaker was built largely on the code from MyghtyUtils, then refactored and
extended with database support.

Beaker includes Cache and Session WSGI middleware to ease integration with WSGI
capable frameworks, and is automatically used by Pylons.

Authors:
--------
    Ben Bangart <ben@groovie.org>
    Philip Jenvey <pjenvey@groovie.org>
    Mike Bayer

%description
Beaker is a caching library that includes Session and Cache objects built on
Myghty's Container API used in MyghtyUtils. WSGI middleware is also included to
manage Session objects and signed cookies.



Beaker is a web session and general caching library that includes WSGI
middleware for use in web applications.

As a general caching library, Beaker can handle storing for various times any
Python object that can be pickled with optional back-ends on a fine-grained
basis.

Beaker was built largely on the code from MyghtyUtils, then refactored and
extended with database support.

Beaker includes Cache and Session WSGI middleware to ease integration with WSGI
capable frameworks, and is automatically used by Pylons.

Authors:
--------
    Ben Bangart <ben@groovie.org>
    Philip Jenvey <pjenvey@groovie.org>
    Mike Bayer

Beaker is a caching library that includes Session and Cache objects built on
Myghty's Container API used in MyghtyUtils. WSGI middleware is also included to
manage Session objects and signed cookies.



Beaker is a web session and general caching library that includes WSGI
middleware for use in web applications.

As a general caching library, Beaker can handle storing for various times any
Python object that can be pickled with optional back-ends on a fine-grained
basis.

Beaker was built largely on the code from MyghtyUtils, then refactored and
extended with database support.

Beaker includes Cache and Session WSGI middleware to ease integration with WSGI
capable frameworks, and is automatically used by Pylons.

Authors:
--------
    Ben Bangart <ben@groovie.org>
    Philip Jenvey <pjenvey@groovie.org>
    Mike Bayer

%prep
%setup -q -n %{modname}-%{version}
%patch1 -p0 -b .absimport

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
#python setup.py install -01 --single-version-externally-managed --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES
%{__python} setup.py install -O1 --prefix=%{_prefix} --skip-build --root $RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc CHANGELOG LICENSE

%changelog
* Sun May 30 2010 toms@suse.de
- Fixed Group: Development/Libraries/Python to make it consistent
  with other Python packages
* Thu Sep  3 2009 matejcik@suse.cz
- build as noarch
* Thu Sep  3 2009 matejcik@suse.cz
- tar-bzipped the source
- importing from OBS, original changelog follows:
* Mon Aug 10 2009 Ciaran Farrell <cfarrell1980@gmail.com>
- Added requires to enable testing
* Tue Dec  2 2008 James Oakley <jfunk@funktronics.ca> - 1.1.2-1
- Initial release
